public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Davide Pesavento" <pesa@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/qt:master commit in: dev-qt/qtgui/
Date: Tue, 23 Jun 2015 20:57:08 +0000 (UTC)	[thread overview]
Message-ID: <1435082353.cb9be82a3738b8c2f5c6818a21997855cc68d5b1.pesa@gentoo> (raw)

commit:     cb9be82a3738b8c2f5c6818a21997855cc68d5b1
Author:     Davide Pesavento <pesa <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 23 17:59:13 2015 +0000
Commit:     Davide Pesavento <pesa <AT> gentoo <DOT> org>
CommitDate: Tue Jun 23 17:59:13 2015 +0000
URL:        https://gitweb.gentoo.org/proj/qt.git/commit/?id=cb9be82a

[dev-qt/qtgui:5] Add USE=dbus to control platformsupport/dbus{menu,tray}.

Package-Manager: portage-2.2.20

 dev-qt/qtgui/qtgui-5.5.0_rc.ebuild | 18 +++++++++++++-----
 dev-qt/qtgui/qtgui-5.5.9999.ebuild | 18 +++++++++++++-----
 dev-qt/qtgui/qtgui-5.9999.ebuild   | 18 +++++++++++++-----
 3 files changed, 39 insertions(+), 15 deletions(-)

diff --git a/dev-qt/qtgui/qtgui-5.5.0_rc.ebuild b/dev-qt/qtgui/qtgui-5.5.0_rc.ebuild
index 5f18a22..e890de3 100644
--- a/dev-qt/qtgui/qtgui-5.5.0_rc.ebuild
+++ b/dev-qt/qtgui/qtgui-5.5.0_rc.ebuild
@@ -14,10 +14,12 @@ fi
 
 # TODO: directfb, linuxfb, offscreen (auto-depends on X11)
 
-IUSE="accessibility egl eglfs evdev +gif gles2 gtkstyle +harfbuzz ibus jpeg kms +png tslib udev +xcb"
+IUSE="accessibility dbus egl eglfs evdev +gif gles2 gtkstyle +harfbuzz ibus jpeg kms +png tslib udev +xcb"
 REQUIRED_USE="
+	accessibility? ( dbus xcb )
 	egl? ( evdev )
 	eglfs? ( egl )
+	ibus? ( dbus )
 	kms? ( egl gles2 )
 "
 
@@ -28,6 +30,7 @@ RDEPEND="
 	>=media-libs/freetype-2.5.5:2
 	>=sys-libs/zlib-1.2.5
 	virtual/opengl
+	dbus? ( ~dev-qt/qtdbus-${PV} )
 	egl? ( media-libs/mesa[egl] )
 	evdev? ( sys-libs/mtdev )
 	gtkstyle? (
@@ -37,7 +40,6 @@ RDEPEND="
 	)
 	gles2? ( media-libs/mesa[gles2] )
 	harfbuzz? ( >=media-libs/harfbuzz-0.9.40:= )
-	ibus? ( ~dev-qt/qtdbus-${PV} )
 	jpeg? ( virtual/jpeg:0 )
 	kms? (
 		media-libs/mesa[gbm]
@@ -59,7 +61,6 @@ RDEPEND="
 		x11-libs/xcb-util-keysyms
 		x11-libs/xcb-util-renderutil
 		x11-libs/xcb-util-wm
-		accessibility? ( ~dev-qt/qtdbus-${PV} )
 	)
 "
 DEPEND="${RDEPEND}
@@ -125,10 +126,17 @@ pkg_setup() {
 	use egl && QT5_GENTOO_CONFIG+=(xcb:egl_x11) || QT5_GENTOO_CONFIG+=(egl:egl_x11)
 }
 
+src_prepare() {
+	# avoid automagic dep on qtdbus
+	use dbus || sed -i -e 's/contains(QT_CONFIG, dbus)/false/' \
+		src/platformsupport/platformsupport.pro || die
+
+	qt5-build_src_prepare
+}
+
 src_configure() {
 	local myconf=(
-		$(use accessibility && usex xcb -dbus-linked '')
-		$(usex ibus -dbus-linked '')
+		$(usex dbus -dbus-linked '')
 		$(qt_use egl)
 		$(qt_use eglfs)
 		$(qt_use evdev)

diff --git a/dev-qt/qtgui/qtgui-5.5.9999.ebuild b/dev-qt/qtgui/qtgui-5.5.9999.ebuild
index 5f18a22..e890de3 100644
--- a/dev-qt/qtgui/qtgui-5.5.9999.ebuild
+++ b/dev-qt/qtgui/qtgui-5.5.9999.ebuild
@@ -14,10 +14,12 @@ fi
 
 # TODO: directfb, linuxfb, offscreen (auto-depends on X11)
 
-IUSE="accessibility egl eglfs evdev +gif gles2 gtkstyle +harfbuzz ibus jpeg kms +png tslib udev +xcb"
+IUSE="accessibility dbus egl eglfs evdev +gif gles2 gtkstyle +harfbuzz ibus jpeg kms +png tslib udev +xcb"
 REQUIRED_USE="
+	accessibility? ( dbus xcb )
 	egl? ( evdev )
 	eglfs? ( egl )
+	ibus? ( dbus )
 	kms? ( egl gles2 )
 "
 
@@ -28,6 +30,7 @@ RDEPEND="
 	>=media-libs/freetype-2.5.5:2
 	>=sys-libs/zlib-1.2.5
 	virtual/opengl
+	dbus? ( ~dev-qt/qtdbus-${PV} )
 	egl? ( media-libs/mesa[egl] )
 	evdev? ( sys-libs/mtdev )
 	gtkstyle? (
@@ -37,7 +40,6 @@ RDEPEND="
 	)
 	gles2? ( media-libs/mesa[gles2] )
 	harfbuzz? ( >=media-libs/harfbuzz-0.9.40:= )
-	ibus? ( ~dev-qt/qtdbus-${PV} )
 	jpeg? ( virtual/jpeg:0 )
 	kms? (
 		media-libs/mesa[gbm]
@@ -59,7 +61,6 @@ RDEPEND="
 		x11-libs/xcb-util-keysyms
 		x11-libs/xcb-util-renderutil
 		x11-libs/xcb-util-wm
-		accessibility? ( ~dev-qt/qtdbus-${PV} )
 	)
 "
 DEPEND="${RDEPEND}
@@ -125,10 +126,17 @@ pkg_setup() {
 	use egl && QT5_GENTOO_CONFIG+=(xcb:egl_x11) || QT5_GENTOO_CONFIG+=(egl:egl_x11)
 }
 
+src_prepare() {
+	# avoid automagic dep on qtdbus
+	use dbus || sed -i -e 's/contains(QT_CONFIG, dbus)/false/' \
+		src/platformsupport/platformsupport.pro || die
+
+	qt5-build_src_prepare
+}
+
 src_configure() {
 	local myconf=(
-		$(use accessibility && usex xcb -dbus-linked '')
-		$(usex ibus -dbus-linked '')
+		$(usex dbus -dbus-linked '')
 		$(qt_use egl)
 		$(qt_use eglfs)
 		$(qt_use evdev)

diff --git a/dev-qt/qtgui/qtgui-5.9999.ebuild b/dev-qt/qtgui/qtgui-5.9999.ebuild
index 5f18a22..e890de3 100644
--- a/dev-qt/qtgui/qtgui-5.9999.ebuild
+++ b/dev-qt/qtgui/qtgui-5.9999.ebuild
@@ -14,10 +14,12 @@ fi
 
 # TODO: directfb, linuxfb, offscreen (auto-depends on X11)
 
-IUSE="accessibility egl eglfs evdev +gif gles2 gtkstyle +harfbuzz ibus jpeg kms +png tslib udev +xcb"
+IUSE="accessibility dbus egl eglfs evdev +gif gles2 gtkstyle +harfbuzz ibus jpeg kms +png tslib udev +xcb"
 REQUIRED_USE="
+	accessibility? ( dbus xcb )
 	egl? ( evdev )
 	eglfs? ( egl )
+	ibus? ( dbus )
 	kms? ( egl gles2 )
 "
 
@@ -28,6 +30,7 @@ RDEPEND="
 	>=media-libs/freetype-2.5.5:2
 	>=sys-libs/zlib-1.2.5
 	virtual/opengl
+	dbus? ( ~dev-qt/qtdbus-${PV} )
 	egl? ( media-libs/mesa[egl] )
 	evdev? ( sys-libs/mtdev )
 	gtkstyle? (
@@ -37,7 +40,6 @@ RDEPEND="
 	)
 	gles2? ( media-libs/mesa[gles2] )
 	harfbuzz? ( >=media-libs/harfbuzz-0.9.40:= )
-	ibus? ( ~dev-qt/qtdbus-${PV} )
 	jpeg? ( virtual/jpeg:0 )
 	kms? (
 		media-libs/mesa[gbm]
@@ -59,7 +61,6 @@ RDEPEND="
 		x11-libs/xcb-util-keysyms
 		x11-libs/xcb-util-renderutil
 		x11-libs/xcb-util-wm
-		accessibility? ( ~dev-qt/qtdbus-${PV} )
 	)
 "
 DEPEND="${RDEPEND}
@@ -125,10 +126,17 @@ pkg_setup() {
 	use egl && QT5_GENTOO_CONFIG+=(xcb:egl_x11) || QT5_GENTOO_CONFIG+=(egl:egl_x11)
 }
 
+src_prepare() {
+	# avoid automagic dep on qtdbus
+	use dbus || sed -i -e 's/contains(QT_CONFIG, dbus)/false/' \
+		src/platformsupport/platformsupport.pro || die
+
+	qt5-build_src_prepare
+}
+
 src_configure() {
 	local myconf=(
-		$(use accessibility && usex xcb -dbus-linked '')
-		$(usex ibus -dbus-linked '')
+		$(usex dbus -dbus-linked '')
 		$(qt_use egl)
 		$(qt_use eglfs)
 		$(qt_use evdev)


             reply	other threads:[~2015-06-23 20:57 UTC|newest]

Thread overview: 114+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-06-23 20:57 Davide Pesavento [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-11-11 20:24 [gentoo-commits] proj/qt:master commit in: dev-qt/qtgui/ Andreas Sturmlechner
2023-09-23 15:56 Ionen Wolkens
2023-02-28 20:53 Jimi Huotari
2022-10-08 10:21 Andreas Sturmlechner
2022-09-07 18:08 Andreas Sturmlechner
2022-06-18 14:27 Andreas Sturmlechner
2022-05-20 19:38 Andreas Sturmlechner
2021-12-24 23:08 Andreas Sturmlechner
2021-10-16 23:24 Andreas Sturmlechner
2021-10-16 23:21 Davide Pesavento
2021-10-16 22:25 Davide Pesavento
2021-10-16 15:36 Andreas Sturmlechner
2021-09-30 11:35 Andreas Sturmlechner
2021-09-22  7:19 Andreas Sturmlechner
2021-09-15 20:01 Davide Pesavento
2021-08-27 11:41 Andreas Sturmlechner
2021-08-23  1:15 Andreas Sturmlechner
2020-09-10 17:49 Andreas Sturmlechner
2020-04-09 17:36 Andreas Sturmlechner
2020-04-03 20:03 Andreas Sturmlechner
2020-03-18 21:51 Andreas Sturmlechner
2020-02-28 10:15 Andreas Sturmlechner
2020-02-05 19:29 Andreas Sturmlechner
2020-01-22 13:27 Jimi Huotari
2020-01-19 23:54 Andreas Sturmlechner
2019-09-18 16:46 Jimi Huotari
2019-08-08 22:21 Andreas Sturmlechner
2019-05-18  2:38 Michael Palimaka
2019-03-03 20:01 Davide Pesavento
2019-01-07  1:04 Davide Pesavento
2018-12-06  3:47 Andreas Sturmlechner
2018-08-15 13:21 Jimi Huotari
2018-07-25 23:20 Jimi Huotari
2018-03-15 23:18 Jimi Huotari
2018-02-22 22:19 Andreas Sturmlechner
2018-02-03  3:57 Michael Palimaka
2018-02-02 11:54 Michael Palimaka
2018-01-26 13:27 Michael Palimaka
2018-01-01  3:10 Michael Palimaka
2017-10-10 11:47 Michael Palimaka
2017-08-27  5:50 Michael Palimaka
2017-06-04 13:32 Michael Palimaka
2017-04-15  4:46 Davide Pesavento
2016-12-01 14:21 Michael Palimaka
2016-12-01 13:49 Michael Palimaka
2016-06-13  0:11 Davide Pesavento
2016-05-24 20:53 Davide Pesavento
2016-04-23 16:11 Davide Pesavento
2016-01-19 19:14 Davide Pesavento
2015-12-03 16:40 Davide Pesavento
2015-12-03 16:32 Davide Pesavento
2015-10-29 12:50 Michael Palimaka
2015-06-24 18:46 Davide Pesavento
2015-06-24 18:22 Davide Pesavento
2015-06-24 17:34 Davide Pesavento
2015-06-24 17:34 Davide Pesavento
2015-06-24 16:48 Davide Pesavento
2015-06-24 16:38 Davide Pesavento
2015-06-24 16:38 Davide Pesavento
2015-06-23 20:57 Davide Pesavento
2015-06-23 20:57 Davide Pesavento
2015-06-23 20:57 Davide Pesavento
2015-06-23 16:19 Davide Pesavento
2015-05-10  1:18 Davide Pesavento
2015-04-19 18:10 Davide Pesavento
2015-04-19 17:18 Davide Pesavento
2015-04-19 17:18 Davide Pesavento
2015-04-19 16:55 Michael Palimaka
2015-04-01  0:35 Davide Pesavento
2015-03-26  2:59 Davide Pesavento
2015-03-26  2:13 Davide Pesavento
2015-03-26  1:49 Davide Pesavento
2015-03-26  1:08 Davide Pesavento
2014-10-16 18:51 Davide Pesavento
2014-09-02  3:14 Davide Pesavento
2014-09-01 23:37 Davide Pesavento
2014-08-21 13:57 Davide Pesavento
2014-08-21 10:39 Davide Pesavento
2014-07-28 23:48 Davide Pesavento
2014-07-28 12:55 Davide Pesavento
2014-07-27 13:36 Davide Pesavento
2014-07-27  1:39 Davide Pesavento
2014-07-26 10:46 Davide Pesavento
2014-07-26 10:46 Davide Pesavento
2014-07-24  1:05 Davide Pesavento
2014-07-10 19:31 Davide Pesavento
2014-06-28  2:37 Davide Pesavento
2014-05-28  0:45 Davide Pesavento
2014-05-28  0:31 Davide Pesavento
2014-05-28  0:31 Davide Pesavento
2014-05-27 22:59 Davide Pesavento
2014-05-23 18:21 Davide Pesavento
2014-05-14  2:35 Davide Pesavento
2014-05-12 13:34 Michael Palimaka
2014-05-08 16:02 Michael Palimaka
2014-03-11 19:05 Davide Pesavento
2014-01-27  2:23 Davide Pesavento
2014-01-18 10:46 Dennis Schridde
2013-11-16 15:57 Davide Pesavento
2013-11-12 23:25 Davide Pesavento
2013-10-01  0:54 Davide Pesavento
2013-10-01  0:01 Davide Pesavento
2013-10-01  0:01 Davide Pesavento
2013-09-29 10:49 Davide Pesavento
2013-08-06  8:04 Michael Palimaka
2013-07-08  9:06 Davide Pesavento
2013-07-08  9:06 Davide Pesavento
2013-07-08  9:06 Davide Pesavento
2013-06-12  7:46 Michael Palimaka
2013-06-11 11:56 Michael Palimaka
2013-06-10  9:30 Davide Pesavento
2013-06-10  8:22 Davide Pesavento
2013-04-22  0:49 Davide Pesavento

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1435082353.cb9be82a3738b8c2f5c6818a21997855cc68d5b1.pesa@gentoo \
    --to=pesa@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox